# std::swap(std::list)

From cppreference.com
< cpp‎ | container‎ | list

template< class T, class Alloc > void swap( list<T,Alloc>& lhs, list<T,Alloc>& rhs ); |  | (until C++17)
template< class T, class Alloc > void swap( list<T,Alloc>& lhs, list<T,Alloc>& rhs ) noexcept(/* see below */); |  | (since C++17)

Specializes the std::swap algorithm for std::list. Swaps the contents of `lhs` and `rhs`. Calls lhs.swap(rhs).

### Parameters

lhs, rhs | - | containers whose contents to swap

### Return value

(none)

### Complexity

Constant.

### Exceptions

`noexcept` specification: noexcept(noexcept(lhs.swap(rhs))) | (since C++17)

### See also

swap | swaps the contents (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/list/swap2&oldid=50546"